getStoreWorkPrices
获取一部作品的商店价格
一部目录作品的商店价格缓存报价。无需凭证。报价是缓存的观测值;请读取 fetched_at / expires_at / stale。pending 表示正在抓取,请稍后重试。
get
/v2/store/prices/{id}Authorization: Bearer nmk_live_…(v2 应用密钥,门户自助铸造,无需申请)参数
| 参数 | 类型 | 位置 | 说明 |
|---|---|---|---|
id 必填 | string | path | 十进制 catalog 作品 id。 |
响应
objectstring必填类型判别字段。恒为 work_prices。
枚举work_pricesquotesobject[]必填每个商店锚点与区域一条报价。空数组,永不为 null。
convertedobject[]必填商店自己对现价的币种换算,仅供参考,不是第二个价格。空数组,永不为 null。
currentobject必填discount_percentintegerint64 必填相对定价的折扣百分比。未打折或无价格时为 0。
expires_atstringdate-time 必填 可空RFC 3339 UTC 时刻,超过此时刻报价即视为过期。pending 时为 null。
external_idstring必填上游 id 原文。除精确匹配外不得用作判别条件。它是该实体自身粒度上的身份锚,不一定对应可访问页面:credit-name 的 vndb ref 是没有独立页面的 staff-alias id。可浏览 URL 来自 links。
fetched_atstringdate-time 必填 可空RFC 3339 UTC 时刻,本报价的观测时间。pending 时为 null。
listobject必填objectstring必填类型判别字段。恒为 price_quote。
枚举price_quotequote_statestring必填priced 表示有 list 与 current;pending 表示正在抓取;unavailable 表示商店没有价格。
枚举pricedpendingunavailableregionstring必填ISO 3166-1 alpha-2 商店区域,小写。DLsite 固定为 jp。
sale_ends_atstringdate-time 必填 可空RFC 3339 UTC 时刻,商店公布的促销截止时间。商店未公布截止时为 null。
sourcestring必填开放词表来源。不得用作判别条件。
staleboolean必填超过 expires_at 后仍在提供时为 true;刷新正在进行。
urlstringuri 必填绝对 URL。
work_idstring必填本行对应的作品 id。
请求示例
cURL
curl "https://api.nextmoe.dev/v2/store/prices/value" \
-H "Authorization: Bearer nmk_live_<YOUR_KEY>"